Subject: bug#73779: 30.0.91; [PATCH] php-ts-mode: Better indentation and font locking, support for the latest grammar version.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Oct 2024 09:51:13 +0300

> From: Vincenzo Pupillo <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 13 Oct 2024 11:19:31 +0200
> 
> > I have two questions about this:
> > 
> >   . will the code which uses the "asymmetric property visibility" also
> >     work without problems with versions of the grammar library before
> >     0.23.3?
> 
> Yes, I tested it with older versions of the grammars. 
> 'php-ts-mode--test-visibility-modifier-operation-clause-p' is used to check if 
> this new feature is defined or not, and behaves accordingly.
> 
> >   . do you consider the code changes to be tested well enough and thus
> >     safe to be installed on the emacs-30 release branch?
> > 
> Yes, I've been using this patch at work for about a week and haven't had any 
> problems.

I was about to install this, but byte-compiling the modified file
yields the following warnings:

    ELC      progmodes/php-ts-mode.elc

  In php-ts-mode--open-statement-group-heuristic:
  progmodes/php-ts-mode.el:435:58: Warning: Unused lexical argument `parent'
  progmodes/php-ts-mode.el:499:50: Warning: argument `_bol' not left unused
  progmodes/php-ts-mode.el:518:56: Warning: argument `_bol' not left unused

Could you please fix these and resubmit the patch?